Event Capture App is broken for DHIS 2.25

Hello everyone,

We are currently on DHIS2 2.23 version planning to upgrade to 2.25. We have recently noticed the event capture app is broken on DHIS 2.25. When we have looked into it, we noticed that the issue is with the newly built event capture app artifact for DHIS 2.25.

Looks like the latest event capture app is not compatible with DHIS 2.25. We see that event capture app is a maven dependency. In maven repository, we see event capture app for DHIS 2.25 is last built on April 5th and that is not compatible with DHIS 2.25. While building the DHIS 2.25 app, it is downloading the latest event capture app artifact which is not compatible with DHIS 2.25. Hence, event capture app has an issue with DHIS 2.25.

Please let us know if you want more details.

Thanks,
Jhansi

Hi there,

I guess you need to read the upgrade notes. If you already follow upgrade notes, please try to restart nginx server and clear nginx cache if you are running it on ubuntu server.

We was facing the same problem, but it’s find after cleaning cache and restarting nginx server.

Hope this can help,

···

On Tue, Apr 18, 2017 at 5:50 PM, jhansirk jhansirk@thoughtworks.com wrote:

Hello everyone,

We are currently on DHIS2 2.23 version planning to upgrade to 2.25. We have recently noticed the event capture app is broken on DHIS 2.25. When we have looked into it, we noticed that the issue is with the newly built event capture app artifact for DHIS 2.25.

Looks like the latest event capture app is not compatible with DHIS 2.25. We see that event capture app is a maven dependency. In maven repository, we see event capture app for DHIS 2.25 is last built on April 5th and that is not compatible with DHIS 2.25. While building the DHIS 2.25 app, it is downloading the latest event capture app artifact which is not compatible with DHIS 2.25. Hence, event capture app has an issue with DHIS 2.25.

Please let us know if you want more details.

Thanks,

Jhansi


Mailing list: https://launchpad.net/~dhis2-devs

Post to : dhis2-devs@lists.launchpad.net

Unsubscribe : https://launchpad.net/~dhis2-devs

More help : https://help.launchpad.net/ListHelp

Em Le Hong
DHIS2 Implementation| HISP Vietnam

em.hispvietnam@gmail.com | Skype: em.hispvietnam@gmail.com

Hi Jhansi,

the EC has been fixed now in 2.25.

regards,

Lars

···

On Wed, Apr 19, 2017 at 7:49 AM, Em Le Hong em.hispvietnam@gmail.com wrote:

Hi there,

I guess you need to read the upgrade notes. If you already follow upgrade notes, please try to restart nginx server and clear nginx cache if you are running it on ubuntu server.

We was facing the same problem, but it’s find after cleaning cache and restarting nginx server.

Hope this can help,


Mailing list: https://launchpad.net/~dhis2-devs

Post to : dhis2-devs@lists.launchpad.net

Unsubscribe : https://launchpad.net/~dhis2-devs

More help : https://help.launchpad.net/ListHelp

On Tue, Apr 18, 2017 at 5:50 PM, jhansirk jhansirk@thoughtworks.com wrote:

Hello everyone,

We are currently on DHIS2 2.23 version planning to upgrade to 2.25. We have recently noticed the event capture app is broken on DHIS 2.25. When we have looked into it, we noticed that the issue is with the newly built event capture app artifact for DHIS 2.25.

Looks like the latest event capture app is not compatible with DHIS 2.25. We see that event capture app is a maven dependency. In maven repository, we see event capture app for DHIS 2.25 is last built on April 5th and that is not compatible with DHIS 2.25. While building the DHIS 2.25 app, it is downloading the latest event capture app artifact which is not compatible with DHIS 2.25. Hence, event capture app has an issue with DHIS 2.25.

Please let us know if you want more details.

Thanks,

Jhansi


Mailing list: https://launchpad.net/~dhis2-devs

Post to : dhis2-devs@lists.launchpad.net

Unsubscribe : https://launchpad.net/~dhis2-devs

More help : https://help.launchpad.net/ListHelp

Em Le Hong
DHIS2 Implementation| HISP Vietnam

em.hispvietnam@gmail.com | Skype: em.hispvietnam@gmail.com

Lars Helge Øverland

Lead developer, DHIS 2

University of Oslo

Skype: larshelgeoverland

lars@dhis2.org

http://www.dhis2.org

Thanks Lars.

···

On Wed, Apr 19, 2017 at 7:49 AM, Em Le Hong em.hispvietnam@gmail.com wrote:

Hi there,

I guess you need to read the upgrade notes. If you already follow upgrade notes, please try to restart nginx server and clear nginx cache if you are running it on ubuntu server.

We was facing the same problem, but it’s find after cleaning cache and restarting nginx server.

Hope this can help,


Mailing list: https://launchpad.net/~dhis2-devs

Post to : dhis2-devs@lists.launchpad.net

Unsubscribe : https://launchpad.net/~dhis2-devs

More help : https://help.launchpad.net/ListHelp

On Tue, Apr 18, 2017 at 5:50 PM, jhansirk jhansirk@thoughtworks.com wrote:

Hello everyone,

We are currently on DHIS2 2.23 version planning to upgrade to 2.25. We have recently noticed the event capture app is broken on DHIS 2.25. When we have looked into it, we noticed that the issue is with the newly built event capture app artifact for DHIS 2.25.

Looks like the latest event capture app is not compatible with DHIS 2.25. We see that event capture app is a maven dependency. In maven repository, we see event capture app for DHIS 2.25 is last built on April 5th and that is not compatible with DHIS 2.25. While building the DHIS 2.25 app, it is downloading the latest event capture app artifact which is not compatible with DHIS 2.25. Hence, event capture app has an issue with DHIS 2.25.

Please let us know if you want more details.

Thanks,

Jhansi


Mailing list: https://launchpad.net/~dhis2-devs

Post to : dhis2-devs@lists.launchpad.net

Unsubscribe : https://launchpad.net/~dhis2-devs

More help : https://help.launchpad.net/ListHelp

Em Le Hong
DHIS2 Implementation| HISP Vietnam

em.hispvietnam@gmail.com | Skype: em.hispvietnam@gmail.com

Lars Helge Øverland

Lead developer, DHIS 2

University of Oslo

Skype: larshelgeoverland

lars@dhis2.org

http://www.dhis2.org